Summary: A general purpose sound file conversion tool.
Name: sox
Version: 12.17.1
Release: 2
Copyright: distributable
Group: Applications/Multimedia
Source: http://home.sprynet.com/sprynet/cbagwell/sox-%{version}.tar.gz
Url: http://home.sprynet.com/~cbagwell/sox.html
Patch0: sox-12.17.1-paths.patch
Patch1: sox-12.17.1-saywhat.patch
Patch2: sox-types.patch
BuildPrereq: gsm-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SoX (Sound eXchange) is a sound file format converter for Linux, UNIX
and DOS PCs. The 'Swiss Army knife of sound tools,' SoX can convert
between many different digitized sound formats and perform simple
sound manipulation functions, including sound effects.

Install the sox package if you'd like to convert sound file formats or
manipulate some sounds.

%package -n  sox-devel
Summary: The SoX sound file format converter libraries.
Group: Development/Libraries

%description -n sox-devel 
This package contains the library needed for compiling applications
which will use the SoX sound file format converter.

Install sox-devel if you want to develop applications which will use
SoX.

%prep
%setup -q 
%patch0 -p1 -b .sox
%patch1 -p1 -b .type
%patch2 -p1 -b .type2

%build
%configure --with-gsm
make 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/

%makeinstall install-lib MANDIR=$RPM_BUILD_ROOT/%{_mandir}

echo "#!/bin/sh" > $RPM_BUILD_ROOT/usr/bin/soxplay
echo "" >> $RPM_BUILD_ROOT/usr/bin/soxplay
echo '/usr/bin/sox $1 -t .au - > /dev/audio' >> $RPM_BUILD_ROOT/usr/bin/soxplay
chmod 755 $RPM_BUILD_ROOT/usr/bin/soxplay

strip $RPM_BUILD_ROOT/usr/bin/sox

ln -snf play $RPM_BUILD_ROOT/usr/bin/rec
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/rec.1
ln -snf play.1 $RPM_BUILD_ROOT%{_mandir}/man1/rec.1

mkdir -p $RPM_BUILD_ROOT/usr/include/sox
install -m 644 *.h $RPM_BUILD_ROOT/usr/include/sox

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m 644 libst.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changelog README TODO INSTALL
/usr/bin/sox
/usr/bin/play   
/usr/bin/rec  
/usr/bin/soxplay
%{_mandir}/man1/*

%files -n sox-devel
%defattr(-,root,root)
/usr/include/sox
/usr/lib/libst.a
%{_mandir}/man3/*


%changelog
* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- rebuild against new gsm-devel

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- re-enable gsm stuff
- update to 12.17.1

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- update to 12.17
- yank out gsm stuff

* Tue Aug  7 2000 Bill Nottingham <notting@redhat.com>
- fix playing of sounds on cards that don't support mono

* Sat Aug  5 2000 Bill Nottingham <notting@redhat.com>
- fix playing of sounds on cards that don't support 8-bit

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Feb 03 2000 Bill Nottingham <notting@redhat.com>
- fix manpage link the Right Way(tm)

* Thu Feb 03 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix rec manpage link - now that man pages are compressed, it should point to
  play.1.gz, not play.1

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- Grrr. Arrrrgh. Fix link.

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- add some more files to devel

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- fix link

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 12.16

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 20 1999 Bill Nottingham <notting@redhat.com>
- allow spaces in filenames for play/rec

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- fix docs

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 12.15

* Sat Oct 10 1998 Michael Maher <mike@redhat.com>
- fixed broken spec file

* Mon Jul 13 1998 Michael Maher <mike@redhat.com>
- updated source from Chris Bagwell.

* Wed Jun 23 1998 Michael Maher <mike@redhat.com>
- made patch to fix the '-e' option. BUG 580
- added buildroot

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 06 1997 Erik Troan <ewt@redhat.com>
- built against glibc
